# Class Configuration#getOSDLock

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getOSDLock(successCallback, errorCallback) Gets OSDLock enabled

## Class Detail

Configuration#getOSDLock(successCallback, errorCallback)
Gets OSDLock enabled

    // Javascript code
    function getOSDLock () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("enabled : " + cbObject.enabled);

         // Do something
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getOSDLock(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.4
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  enabled | Boolean | true: osd is disable(lock on) / false: osd is enabled (lock off)

See:
  Configuration.setOSDLock()